AC_INIT( [branding], [0.1], [http://bugzilla.altlinux.org] )

PROGRESS_COLOR=306ac4
TITLE_COLOR=306ac4
LIGHT_COLOR_HEX=F5F5F5
MIDDLE_COLOR_HEX=306ac4
DARK_COLOR_HEX=001056
LIGHT_LABELS_HEX=FFFFFF
DARK_LABELS_HEX=242a60
MIDDLE_LABELS_HEX=666666
SHADOW_HEX=A6A6A6
LIGHT_COLOR_DEC=`echo $(echo "ibase=16; ${LIGHT_COLOR_HEX:0:2}" | bc)','$(echo "ibase=16; ${LIGHT_COLOR_HEX:2:2}" | bc)','$(echo "ibase=16; ${LIGHT_COLOR_HEX:4:2}" | bc)`
MIDDLE_COLOR_DEC=`echo $(echo "ibase=16; ${MIDDLE_COLOR_HEX:0:2}" | bc)','$(echo "ibase=16; ${MIDDLE_COLOR_HEX:2:2}" | bc)','$(echo "ibase=16; ${MIDDLE_COLOR_HEX:4:2}" | bc)`
DARK_COLOR_DEC=`echo $(echo "ibase=16; ${DARK_COLOR_HEX:0:2}" | bc)','$(echo "ibase=16; ${DARK_COLOR_HEX:2:2}" | bc)','$(echo "ibase=16; ${DARK_COLOR_HEX:4:2}" | bc)`

DOCDIR=documentation

AC_SUBST(THEME)
AC_SUBST(CODENAME)
AC_SUBST(NAME)
AC_SUBST(BRAND)
AC_SUBST(BRAND_FNAME)
AC_SUBST(STATUS)
AC_SUBST(STATUS_EN)
AC_SUBST(VERSION)
AC_SUBST(PRODUCT_NAME)
AC_SUBST(PRODUCT_NAME_RU)
AC_SUBST(DOCDIR)
AC_SUBST(PROGRESS_COLOR)
AC_SUBST(LIGHT_COLOR_HEX)
AC_SUBST(MIDDLE_COLOR_HEX)
AC_SUBST(DARK_COLOR_HEX)
AC_SUBST(LIGHT_LABELS_HEX)
AC_SUBST(DARK_LABELS_HEX)
AC_SUBST(MIDDLE_LABELS_HEX)
AC_SUBST(LIGHT_COLOR_DEC)
AC_SUBST(MIDDLE_COLOR_DEC)
AC_SUBST(DARK_COLOR_DEC)
AC_SUBST(TITLE_COLOR)

AC_CONFIG_FILES([
	 Makefile
	 bootloader/config
	 bootsplash/theme.plymouth
	 browser-qt/design/design.ini
	 browser-qt/design/design.qss
	 bootloader/gfxboot.cfg
	 notes/release-notes.ru.html
	 notes/release-notes.all.html
	 notes/license.ru.html
	 notes/license.all.html
	 indexhtml/indexhtml.desktop
	 indexhtml/indexhtml-desktop.desktop
	 indexhtml/index-ru.html
	 indexhtml/index-en.html
	 systemd/os-release
	 ahttpd/styles/alterator.css
])
AC_OUTPUT
